diff --git a/README.md b/README.md
index 92311af..8a52a56 100644
--- a/README.md
+++ b/README.md
@@ -1,25 +1,42 @@
-![alt text](http://i.imgur.com/shjM51Q.png "Nexus Tools")
-===========
+# Nexus Tools
+
+Nexus Tools is a simple installer for the [Android SDK Platform Tools](https://developer.android.com/studio/releases/platform-tools) package, which includes [ADB](https://developer.android.com/studio/command-line/adb.html), Fastboot, [Systrace](https://developer.android.com/studio/profile/systrace-commandline.html), and other applications.
+
+Installing these tools requires downloading the proper files, extracting them somewhere, and [adding the files' folder to your system's path](https://askubuntu.com/a/60221). Nexus Tools does all that hard work for you, and installs additional configuration files to fix common USB problems.
+
+### Features
+
+* Works on Linux, Bash for Windows 10¹, Linux on Chromebooks², and Mac. An x86/x86_64 processor is required on all platforms, except macOS³.
+* The SDK Platform Tools package is downloaded from Google's servers, so you're always getting the latest version.
+* All files are stored in `~/.nexustools`, so sudo access is not required.
+* A [USB Vendor ID list](https://apkudo.com/one-true-adb_usb-ini-to-rule-them-all/) and [UDEV rules file](https://github.com/M0Rf30/android-udev-rules/blob/master/51-android.rules) are installed to fix common USB connection issues (UDEV file only applies to Linux and is optional).
+* Can be easily removed.
+
+¹*Windows Subsystem for Linux doesn't support USB connections. However, it is possible to use ADB over a Wi-Fi connection using a [third-party app](https://play.google.com/store/apps/details?id=com.ttxapps.wifiadb) or [Android 11+](https://www.androidpolice.com/2020/03/18/android-11-developer-preview-2-fully-supports-wireless-adb/).* ²*Chrome OS 75 or newer is required for [USB support](https://www.androidpolice.com/2019/06/26/chrome-os-75/).* ³*Platform tools run in Rosetta 2 compatibility layer on Apple Silicon Macs, because Google doesn't provide native ARM binaries.*
+
+### How to install
+
+Nexus Tools does not need to be downloaded, just paste this command into the terminal:
 
-Nexus Tools is an installer for the Android debug/development command-line tools ADB (Android Device Bridge) and Fastboot for Mac OS X, Linux, and Google Chrome/Chromium OS. The script does not need to be downloaded, simply copy and paste this command into the terminal and run it to install Nexus Tools:
 ```
-bash <(curl https://raw.githubusercontent.com/corbindavenport/nexus-tools/master/install.sh)
+bash <(curl -s https://raw.githubusercontent.com/corbindavenport/nexus-tools/master/install.sh)
 ```
-and this command to un-install Nexus Tools:
+
+To uninstall, run this command:
+
 ```
-bash <(curl https://raw.githubusercontent.com/corbindavenport/nexus-tools/master/uninstall.sh)
+bash <(curl -s https://raw.githubusercontent.com/corbindavenport/nexus-tools/master/uninstall.sh)
 ```
-These commands will download the selected script and run it. The script will download the files it needs during runtime, so it requires an internet connection. The script works on both Mac OS X and Linux (as long as the curl package is installed).
-
-Support for Google Chrome OS is experimental at this time, as I was only able to test it on a build of Chromium for x86 PCs. I don't have an actual Chromebook to test it on, but Nexus Tools should work correctly on both x86 and ARM Chromebooks.
 
-Nexus Tools requires sudo privileges to install/uninstall the adb and fastboot tools to /usr/bin, so they can be run without typing the full directory.
+Once Nexus Tools is finished, you can run `adb`, `fastboot`, and other commands straight from the terminal. **You may need to open a new terminal window for changes to take effect.** To update, just run the installer again.
 
----------------------------------------
+### Analytics
 
-__XDA Thread:__ [http://forum.xda-developers.com/showthread.php?t=2564453](http://forum.xda-developers.com/showthread.php?t=2564453)
+Nexus Tools uses Google Analytics to transmit your operating system and CPU architecture during the installation process. This data is not sold or shared in any way, it's only for me to know which hardware platforms I should focus my attention on. You can disable Google Analytics by adding the `no-analytics` parameter to the install command, like this:
 
-__XDA Article:__ [http://www.xda-developers.com/android/set-up-adb-and...](http://www.xda-developers.com/android/set-up-adb-and-fastboot-on-linux-mac-os-x-and-chrome-os-with-a-single-command/)
+```
+bash <(curl -s https://raw.githubusercontent.com/corbindavenport/nexus-tools/master/install.sh) no-analytics
+```
 
 ---------------------------------------
 
diff --git a/bin/linux-arm-adb b/bin/linux-arm-adb
deleted file mode 100755
index e0824f1..0000000
Binary files a/bin/linux-arm-adb and /dev/null differ
diff --git a/bin/linux-arm-fastboot b/bin/linux-arm-fastboot
deleted file mode 100755
index 1c4e974..0000000
Binary files a/bin/linux-arm-fastboot and /dev/null differ
diff --git a/bin/linux-i386-adb b/bin/linux-i386-adb
deleted file mode 100755
index aba34a6..0000000
Binary files a/bin/linux-i386-adb and /dev/null differ
diff --git a/bin/linux-i386-fastboot b/bin/linux-i386-fastboot
deleted file mode 100755
index 4fe6bab..0000000
Binary files a/bin/linux-i386-fastboot and /dev/null differ
diff --git a/bin/mac-adb b/bin/mac-adb
deleted file mode 100755
index 3b154cb..0000000
Binary files a/bin/mac-adb and /dev/null differ
diff --git a/bin/mac-fastboot b/bin/mac-fastboot
deleted file mode 100755
index 11a6870..0000000
Binary files a/bin/mac-fastboot and /dev/null differ
diff --git a/install.sh b/install.sh
old mode 100644
new mode 100755
index 08b28bc..72d00f7
--- a/install.sh
+++ b/install.sh
@@ -13,161 +13,234 @@
 
 #!/bin/bash
 
-ADB="/usr/bin/adb"
-FASTBOOT="/usr/bin/fastboot"
+DIR="$HOME/.nexustools"
 UDEV="/etc/udev/rules.d/51-android.rules"
+UDEVURL="https://raw.githubusercontent.com/M0Rf30/android-udev-rules/master/51-android.rules"
+INIURL="https://raw.githubusercontent.com/apkudo/adbusbini/master/adb_usb.ini"
 OS=$(uname)
-ARCH=$(arch)
+ARCH=$(uname -m)
+BASEURL="https://github.com/corbindavenport/nexus-tools/raw/master"
+ANALYTICS=$1
 
-# get sudo
+# Function for copying udex.txt to proper location
+_install_udev() {
+	# Install UDEV file
+	if [ ! -d /etc/udev/rules.d/ ]; then
+		sudo mkdir -p /etc/udev/rules.d/
+	fi
+	if [ -f "$UDEV" ]; then
+		sudo rm "$UDEV"
+	fi
+	echo "[ .. ] Downloading UDEV file..."
+	sudo curl -Lfk --progress-bar -o "$UDEV" "$UDEVURL"
+	output=$(sudo chmod 644 $UDEV 2>&1) && echo "[ OK ] UDEV permissions fixed." || { echo "[EROR] $output"; }
+	output=$(sudo chown root: $UDEV 2>&1) && echo "[ OK ] UDEV ownership fixed." || { echo "[EROR] $output"; }
+	# Restart services
+	sudo udevadm control --reload-rules 2>/dev/null >&2
+	sudo service udev restart 2>/dev/null >&2
+	sudo killall adb 2>/dev/null >&2
+}
 
-echo "[INFO] Nexus Tools 2.3"
-echo "[INFO] Please enter sudo password for install."
-sudo echo "[ OK ] Sudo access granted."
+# Function for installing USB Vendor ID list (required for some devices to connect)
+# More info: https://apkudo.com/one-true-adb_usb-ini-to-rule-them-all/
+_install_ini() {
+	if [ ! -d $HOME/.android/ ]; then
+		mkdir -p $HOME/.android/
+	fi
+	if [ -f "$HOME/.android/adb_usb.ini" ]; then
+		rm "$HOME/.android/adb_usb.ini"
+	fi
+	echo "[ .. ] Downloading ADB Vendor ID file..."
+	curl -Lfk --progress-bar -o "$HOME/.android/adb_usb.ini" "$INIURL"
+}
 
-# check if already installed
+# Function for adding Nexus Tools directory to $PATH
+_add_path() {
+	if [[ ":$PATH:" == *":$DIR:"* ]]; then
+		# Nexus Tools directory already in $PATH
+		echo "[ OK ] $DIR/ is already in PATH."
+	else
+		# Nexus Tools directory needs to be added to $PATH
+		if [[ "$SHELL" =~ "zsh" ]]; then
+			echo 'export PATH=$PATH:'$DIR >> $HOME/.zshrc
+			source "$HOME/.zshrc"
+			echo "[ OK ] Z Shell detected, added $DIR/ to $HOME/.zshrc."
+		elif [[ "$SHELL" =~ "bash" ]]; then
+			echo 'export PATH=$PATH:'$DIR >> $HOME/.bashrc
+			source "$HOME/.bashrc"
+			echo "[ OK ] Bash shell detected, added $DIR/ to $HOME/.bashrc."
+		else
+			echo "[WARN] Shell could not be detected, you will need to manually add $DIR to your PATH."
+		fi
+	fi
+}
 
-if [ -f $ADB ]; then
-    read -p "[WARN] ADB is already present, press ENTER to overwrite or exit to cancel."
-    sudo rm $ADB
+# Function for Google Analytics
+_analytics() {
+	if [ "$ANALYTICS" != "no-analytics" ]; then
+		# Generate random user ID string
+		if [ -x "$(command -v uuidgen)" ]; then
+			UUID=$(uuidgen)
+		elif [ -f "/proc/sys/kernel/random/uuid" ]; then
+			UUID=$(cat /proc/sys/kernel/random/uuid)
+		else
+			UUID="00000000-0000-0000-0000-000000000000"
+		fi
+		# Get exact OS
+		if [ -d "/mnt/c/Windows" ]; then
+			REALOS="Windows"
+		elif [ -d "/usr/share/themes/CrosAdapta" ]; then
+			REALOS="ChromeOS"
+		else
+			REALOS="$OS"
+		fi
+		# Make curl request
+		curl -s -o /dev/null "https://www.google-analytics.com/collect?v=1&t=pageview&tid=UA-74707662-1&cid=$UUID&dp=$REALOS%2F$ARCH"
+	else
+		echo "[ OK ] Google Analytics are disabled."
+	fi
+}
+
+# Function for opening completion webpage
+_open_webpage() {
+	if [ -d "/mnt/c/Windows" ]; then
+		/mnt/c/Windows/explorer.exe "https://corbin.io/nexus-tools-exit.html" &>/dev/null &
+	elif [ "$OS" = "Darwin" ]; then
+		open "https://corbin.io/nexus-tools-exit.html" &>/dev/null &
+	else
+		xdg-open "https://corbin.io/nexus-tools-exit.html" &>/dev/null &
+	fi
+}
+
+# Start the script
+echo "[INFO] Nexus Tools 4.6"
+
+# Check that required applications are installed
+if ! [ -x "$(command -v curl)" ]; then
+  echo "[EROR] The 'curl' command is not installed. Please install it and run Nexus Tools again."
+  exit
+fi
+if ! [ -x "$(command -v unzip)" ]; then
+  echo "[EROR] The 'unzip' command is not installed. Please install it and run Nexus Tools again."
+  exit
+fi
+
+# Start Analytics
+_analytics
+
+# Delete existing Nexus Tools installation if it exists
+if [ -d $DIR ]; then
+	echo "[WARN] Platform tools already installed in $DIR. Press ENTER to overwrite or X to cancel."
+	read -sn1 input
+	[ "$input" = "" ] && rm -rf $DIR || exit
 fi
-if [ -f $FASTBOOT ]; then
-    read -p "[WARN] Fastboot is already present, press ENTER to overwrite or exit to cancel."
-    sudo rm $FASTBOOT
+
+# Make the new directory
+mkdir -p $DIR
+
+# Check if platform tools are already installed
+if [ -x "$(command -v adb)" ]; then
+	echo "[EROR] ADB is already installed and Nexus Tools cannot remove it automatically. Please manually uninstall ADB and try again."
+	exit
+fi
+if [ -x "$(command -v fastboot)" ]; then
+	echo "[EROR] Fastboot is already installed and Nexus Tools cannot remove it automatically. Please manually uninstall Fastboot and try again."
+	exit
 fi
 
-# detect operating system and install
-
-if [ -x "/usr/bin/crossystem" ]; then # Chrome OS
-    sudo mount -o remount,rw / 2>/dev/null
-    if [ "$?" -ne "0" ]; then
-        if [ -x /usr/local/bin ]; then
-            ADB=/usr/local/bin/adb
-            FASTBOOT=/usr/local/bin/fastboot
-            UDEV=
-        fi
-        /usr/bin/crossystem 'mainfw_type?developer'
-    fi
-    if [ "$?" -ne "0" ]; then
-        
-        echo "[INFO] It appears your Chromium/Chrome OS device is not in developer mode."
-        echo "[INFO] Developer mode is needed to install ADB and Fastboot."
-        echo "[INFO] Make sure your device is booted in developer mode."
-        echo "[INFO] To set up developer tools, use this command: sudo dev_install"
-        echo " "
-        exit 1
-    fi
-    case "$(arch)" in
-    i*86|amd64|x86_64)
-        echo "[INFO] Downloading ADB for Chrome OS [Intel CPU]..."
-        sudo curl -s -o $ADB "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-i386-adb" -LOk
-        echo "[INFO] Downloading Fastboot for Chrome [Intel CPU]..."
-        sudo curl -s -o $FASTBOOT "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-i386-fastboot" -LOk
-        ;;
-    arm|armv*)
-        echo "[WARN] The ADB binaries for ARM are out of date, and do not work on Android 4.2.2+"
-        echo "[INFO] Downloading ADB for Chrome OS [ARM CPU]..."
-        sudo curl -s -o $ADB "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-arm-adb" -LOk
-        echo "[INFO] Downloading Fastboot for Chrome OS [ARM CPU]..."
-        sudo curl -s -o $FASTBOOT "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-arm-fastboot" -LOk
-        ;;
-    *)
-    	echo "[EROR] Your CPU platform could not be detected."
-    	echo " "
-    	exit 1
-    esac
-    echo "[INFO] Downloading udev list..."
-    if [ -n "$UDEV" ]; then
-        if [ ! -d /etc/udev/ ]; then
-            sudo mkdir /etc/udev/
-        fi
-        if [ ! -d /etc/udev/rules.d/ ]; then
-            sudo mkdir /etc/udev/rules.d/
-        fi
-        sudo curl -s -o $UDEV "http://github.com/corbindavenport/nexus-tools/raw/master/udev.txt" -LOk
-        sudo chmod 644 $UDEV
-        sudo chown root. $UDEV 2>/dev/null
-        sudo service udev restart 2>/dev/null
-        sudo killall adb 2>/dev/null
-    fi
-    echo "[INFO] Making ADB and Fastboot executable..."
-    sudo chmod +x $ADB
-    sudo chmod +x $FASTBOOT
-    echo "[ OK ] Done!"
-    echo "[INFO] Type adb or fastboot to run."
-    echo " "
-    exit 0
-elif [ "$(uname)" == "Darwin" ]; then # Mac OS X
-    echo "[INFO] Downloading ADB for Mac OS X..."
-    sudo curl -s -o $ADB "http://github.com/corbindavenport/nexus-tools/raw/master/bin/mac-adb" -LOk
-    echo "[INFO] Downloading Fastboot for Mac OS X..."
-    sudo curl -s -o $FASTBOOT "http://github.com/corbindavenport/nexus-tools/raw/master/bin/mac-fastboot" -LOk
-    echo "[INFO] Making ADB and Fastboot executable..."
-    echo "[INFO] Downloading udev list..."
-    if [ -n "$UDEV" ]; then
-        if [ ! -d /etc/udev/ ]; then
-            sudo mkdir /etc/udev/
-        fi
-        if [ ! -d /etc/udev/rules.d/ ]; then
-            sudo mkdir /etc/udev/rules.d/
-        fi
-        sudo curl -s -o $UDEV "http://github.com/corbindavenport/nexus-tools/raw/master/udev.txt" -LOk
-        sudo chmod 644 $UDEV
-        sudo chown root. $UDEV 2>/dev/null
-        sudo service udev restart 2>/dev/null
-        sudo killall adb 2>/dev/null
-    fi
-    echo "[INFO] Making ADB and Fastboot executable..."
-    sudo chmod +x $ADB
-    sudo chmod +x $FASTBOOT
-    echo "[ OK ] Done!"
-    echo "[INFO] Type adb or fastboot to run."
-    echo " "
-    exit 0
-elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then # Generic Linux
-    if [ "$(arch)" == "i386" ] || [ "$(arch)" == "i486" ] || [ "$(arch)" == "i586" ] || [ "$(arch)" == "amd64" ] || [ "$(arch)" == "x86_64" ] || [ "$(arch)" == "i686" ]; then # Linux on Intel x86/x86_64 CPU
-        echo "[INFO] Downloading ADB for Linux [Intel CPU]..."
-        sudo curl -s -o $ADB "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-i386-adb" -LOk
-        echo "[INFO] Downloading Fastboot for Linux [Intel CPU]..."
-        sudo curl -s -o $FASTBOOT "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-i386-fastboot" -LOk
-    elif [ "$(arch)" == "arm" ] || [ "$(arch)" == "armv6l" ]; then # Linux on ARM CPU
-        echo "[WARN] The ADB binaries for ARM are out of date, and do not work on Android 4.2.2+"
-        echo "[INFO] Downloading ADB for Linux [ARM CPU]..."
-        sudo curl -s -o $ADB "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-arm-adb" -LOk
-        echo "[INFO] Downloading Fastboot for Linux [ARM CPU]..."
-        sudo curl -s -o $FASTBOOT "http://github.com/corbindavenport/nexus-tools/raw/master/bin/linux-arm-fastboot" -LOk
-    else
-    	echo "[EROR] Your CPU platform could not be detected."
-    	echo " "
-    	exit 1
-    fi
-    echo "[INFO] Downloading udev list..."
-    if [ -n "$UDEV" ]; then
-        if [ ! -d /etc/udev/ ]; then
-            sudo mkdir /etc/udev/
-        fi
-        if [ ! -d /etc/udev/rules.d/ ]; then
-            sudo mkdir /etc/udev/rules.d/
-        fi
-        sudo curl -s -o $UDEV "http://github.com/corbindavenport/nexus-tools/raw/master/udev.txt" -LOk
-        sudo chmod 644 $UDEV
-        sudo chown root. $UDEV 2>/dev/null
-        sudo service udev restart 2>/dev/null
-        sudo killall adb 2>/dev/null
-    fi
-    echo "[INFO] Making ADB and Fastboot executable..."
-    sudo chmod +x $ADB
-    sudo chmod +x $FASTBOOT
-    echo "[ OK ] Done!"
-    echo "[INFO] Type adb or fastboot to run."
-    echo " "
-    exit 0
+# Block installation on non-x86 platforms
+if [ "$ARCH" = "i386" ] || [ "$ARCH" = "i486" ] || [ "$ARCH" = "i586" ] || [ "$ARCH" = "amd64" ] || [ "$ARCH" = "x86_64" ] || [ "$ARCH" = "i686" ]; then
+	echo "[ OK ] Your hardware platform is supported, yay!"
+elif [ "$ARCH" = "arm64" ] && [ "$OS" = "Darwin" ]; then
+	echo "[WARN] Google doesn't provide native Apple Silicon binaries yet, x86_64 binaries will be installed."
 else
-    echo "[EROR] Your operating system or architecture could not be detected."
-    echo "[EROR] Report bugs at: github.com/corbindavenport/nexus-tools/issues"
-    echo "[EROR] Report the following information in the bug report:"
-    echo "[EROR] OS: $OS"
-    echo "[EROR] ARCH: $ARCH"
-    echo " "
-    exit 1
+	echo "[EROR] Your hardware platform is detected as $ARCH, but Google only provides Platform Tools for x86-based platforms."
+	echo "[EROR] Installation cannot continue."
+	echo " "
+	exit
 fi
+
+# Detect operating system and install
+if [ -d "/mnt/c/Windows" ]; then # Windows 10 Bash
+	echo "[WARN] Bash on Windows 10 doesn't support USB devices, you'll only be able to use ADB over Wi-Fi."
+	ZIP="https://dl.google.com/android/repository/platform-tools-latest-linux.zip"
+	# Download the ZIP file
+	echo "[ .. ] Downloading platform tools for x86 Linux..."
+	curl -Lfk --progress-bar -o "$DIR/temp.zip" "$ZIP"|| { echo "[EROR] Download failed."; }
+	# Unzip it
+	unzip -q -o "$DIR/temp.zip" -d "$DIR"
+	# Move all files from the zip to $DIR
+	mv -f -v $DIR/platform-tools/* $DIR > /dev/null
+	# Delete the zip file and original folder
+	rm "$DIR/temp.zip"
+	rmdir "$DIR/platform-tools"
+	echo "[ OK ] Platform Tools now installed in $DIR."
+	# Add Nexus Tools directory to $PATH
+	_add_path
+	# Mark binaries in directory as executable
+	chmod -f +x $DIR/*
+	# Download Device ID list
+	_install_ini
+	# Download udev list
+	echo "[INFO] Nexus Tools can install UDEV rules to fix potential USB issues."
+	echo "[INFO] Sudo access is required. Press ENTER to proceed or X to skip."
+	read -sn1 udevinput
+	[ "$udevinput" = "" ] && _install_udev
+elif [ "$OS" = "Darwin" ]; then # macOS
+	ZIP="https://dl.google.com/android/repository/platform-tools-latest-darwin.zip"
+	# Download the ZIP file
+	echo "[ .. ] Downloading platform tools for macOS..."
+	curl -Lfk --progress-bar -o "$DIR/temp.zip" "$ZIP"|| { echo "[EROR] Download failed."; }
+	# Unzip it
+	unzip -q -o "$DIR/temp.zip" -d "$DIR"
+	# Move all files from the zip to $DIR
+	mv -f -v $DIR/platform-tools/* $DIR > /dev/null
+	# Delete the zip file and original folder
+	rm "$DIR/temp.zip"
+	rmdir "$DIR/platform-tools"
+	echo "[ OK ] Platform Tools now installed in $DIR."
+	# Mark binaries in directory as executable
+	chmod -f +x $DIR/*
+	# Download Device ID list
+	_install_ini
+	# Add Nexus Tools directory to $PATH
+	_add_path
+elif [ "$OS" = "Linux" ]; then # Generic Linux
+	if [ -d "/usr/share/themes/CrosAdapta" ]; then
+		echo "[WARN] Chrome OS 75 or higher is required for USB support."
+	fi
+	ZIP="https://dl.google.com/android/repository/platform-tools-latest-linux.zip"
+	# Download the ZIP file
+	echo "[ .. ] Downloading platform tools for x86 Linux..."
+	curl -Lfk --progress-bar -o "$DIR/temp.zip" "$ZIP"|| { echo "[EROR] Download failed."; }
+	# Unzip it
+	unzip -q -o "$DIR/temp.zip" -d "$DIR"
+	# Move all files from the zip to $DIR
+	mv -f -v $DIR/platform-tools/* $DIR > /dev/null
+	# Delete the zip file and original folder
+	rm "$DIR/temp.zip"
+	rmdir "$DIR/platform-tools"
+	echo "[ OK ] Platform Tools now installed in $DIR."
+	# Add Nexus Tools directory to $PATH
+	_add_path
+	# Mark binaries in directory as executable
+	chmod -f +x $DIR/*
+	# Download Device ID list
+	_install_ini
+	# Download udev list
+	echo "[INFO] Nexus Tools can install UDEV rules to fix potential USB issues."
+	echo "[INFO] Sudo access is required. Press ENTER to proceed or X to skip."
+	read -sn1 udevinput
+	[ "$udevinput" = "" ] && _install_udev
+else
+	echo "[EROR] Your OS or CPU architecture doesn't seem to be supported."
+	echo "[EROR] Detected OS: $OS"
+	echo "[EROR] Detected arch: $ARCH"
+	exit
+fi
+
+# All done
+_open_webpage
+echo "[INFO] Installation complete! Open a new Terminal window to apply changes."
+echo " "
+exit
diff --git a/udev.txt b/udev.txt
deleted file mode 100644
index 08d6b9a..0000000
--- a/udev.txt
+++ /dev/null
@@ -1,31 +0,0 @@
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0bb4", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0e79", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0502", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0b05", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="413c", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0489", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="091e", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="18d1", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0bb4", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="12d1", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="24e3", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="2116", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0482", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="17ef", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="1004", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="22b8", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0409", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="2080", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0955", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="2257", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="10a9", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="1d4d", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0471", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="04da", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="05c6", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="1f53", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="04e8", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="04dd", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0fce", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="0930", MODE="0666"
-SUBSYSTEM=="usb", ATTRS{idVendor}=="19d2", MODE="0666"
\ No newline at end of file
diff --git a/uninstall.sh b/uninstall.sh
index 49bbe26..1675df4 100755
--- a/uninstall.sh
+++ b/uninstall.sh
@@ -13,57 +13,63 @@
 
 #!/bin/bash
 
-ADB="/usr/bin/adb"
-FASTBOOT="/usr/bin/fastboot"
-UDEV="/etc/udev/rules.d/51-android.rules"
+OS=$(uname)
+ARCH=$(uname -m)
 
-# get sudo
-
-echo "[INFO] Nexus Tools 2.3"
-echo "[INFO] Please enter sudo password for uninstall."
-sudo echo "[ OK ] Sudo access granted."
-
-# check for chrome os
-
-if [ -x "/usr/bin/crossystem" ]; then # Chrome OS
-    sudo mount -o remount,rw / 2>/dev/null
-    if [ "$?" -ne "0" ]; then
-        if [ -x /usr/local/bin ]; then
-            ADB=/usr/local/bin/adb
-            FASTBOOT=/usr/local/bin/fastboot
-            UDEV=
-        fi
-        /usr/bin/crossystem 'mainfw_type?developer'
-    fi
-    if [ "$?" -ne "0" ]; then
-    echo "[INFO] It appears your Chromium/Chrome OS device is not in developer mode."
-        echo "[INFO] Developer mode is needed to install ADB and Fastboot."
-        echo "[INFO] Make sure your device is booted in developer mode."
-        echo "[INFO] To set up developer tools, use this command: sudo dev_install"
-        echo " "
-        exit 1
-    fi
+# Nexus Tools 3.2+ (August 2016-Now) installs binaries in ~/.nexustools
+if [ -d $HOME/.nexustools ]; then
+	echo "[WARN] Nexus Tools folder found in $HOME/.nexustools. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && rm -rf $HOME/.nexustools
+	echo "[ OK ] Deleted $HOME/.nexustools"
 fi
 
-# remove files
+# Nexus Tools 2.8-3.1 (October 2015-August 2016) installed binaries in /user/local/bin
+if [ -f /usr/local/bin/adb ]; then
+	echo "[WARN] ADB found in /usr/local/bin. It may have been installed there by an old version of Nexus Tools."
+	echo "[WARN] Sudo access is required to remove. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && sudo rm /usr/local/bin/adb
+	echo "[ OK ] Deleted /usr/local/bin/adb"
+fi
+if [ -f /usr/local/bin/fastboot ]; then
+	echo "[WARN] Fasboot found in /usr/local/bin. It may have been installed there by an old version of Nexus Tools."
+	echo "[WARN] Sudo access is required to remove. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && sudo rm /usr/local/bin/fastboot
+	echo "[ OK ] Deleted /usr/local/bin/fastboot"
+fi
 
-if [ -f $ADB ]; then
-   sudo rm $ADB
-   echo "[ OK ] ADB removed."
-else
-   echo "[EROR] ADB not found in /usr/bin, skipping uninstall."
+# Nexus Tools 1.0-2.7.1 (December 2013-October 2015) installed binaries in /usr/bin
+if [ -f /usr/bin/adb ]; then
+	echo "[WARN] ADB found in /usr/bin. It may have been installed there by an old version of Nexus Tools."
+	echo "[WARN] Sudo access is required to remove. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && sudo rm /usr/bin/adb
+	echo "[ OK ] Deleted /usr/bin/adb"
 fi
-if [ -f $FASTBOOT ]; then
-   sudo rm $FASTBOOT
-   echo "[ OK ] Fastboot removed."
-else
-   echo "[EROR] Fastboot not found in /usr/bin, skipping uninstall."
+if [ -f /usr/bin/fastboot ]; then
+	echo "[WARN] Fasboot found in /usr/bin. It may have been installed there by an old version of Nexus Tools."
+	echo "[WARN] Sudo access is required to remove. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && sudo rm /usr/bin/fastboot
+	echo "[ OK ] Deleted /usr/bin/fastboot"
 fi
-if [ -f $UDEV ]; then
-   sudo rm $UDEV
-   echo "[ OK ] Udev list removed."
-else
-   echo "[EROR] Udev list not found in /etc/udev/rules.d/, skipping uninstall."
+
+# Uninstall Device ID list
+if [ -f $HOME/.android/adb_usb.ini ]; then
+	rm $HOME/.android/adb_usb.ini
+	echo "[ OK ] Deleted $HOME/.android/adb_usb.ini"
+fi
+
+# Uninstall UDEV file
+if [ -f /etc/udev/rules.d/51-android.rules ]; then
+	echo "[WARN] UDEV list found. It may have been installed there by Nexus Tools."
+	echo "[WARN] Sudo access is required to remove. Press ENTER to delete or X to skip."
+	read -sn1 input
+	[ "$input" = "" ] && sudo rm /etc/udev/rules.d/51-android.rules
+	echo "[ OK ] Deleted /etc/udev/rules.d/51-android.rules"
 fi
-echo "[ OK ] Done uninstalling."
-echo " "
+
+echo "[ OK ] Uninstall complete."
+echo ""